#version 330 core
in vec3 xyz;
in float i;
in float j;
in float k;

uniform int color_mode;
uniform float max_distance;
uniform float point_size;

uniform mat4 mvp;

out float r;
out float g;
out float b;

void main(void)
{
    if(i < 0.0) {
        gl_Position = vec4(0.0, 0.0, 0.0, 0.0);
        r = 0.0;
        g = 0.0;
        b = 0.0;
        return;
    }
    gl_Position = mvp * vec4(xyz, 1.0);
    r = i;
    g = j;
    b = k;
    gl_PointSize = point_size;
    
}
